﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectElectricLocomotive.MovementStrategy
{
    /// <summary>
    /// Стратегия перемещения объекта к границе экрана экрана
    /// </summary>
    internal class MoveToBorder : AbstractStrategy
    {
        protected override bool IsTargetDestinaion()
        {
            var objParams = GetObjectParameters;
            if (objParams == null)
            {
                return false;
            }
            if (MoveRight())
            {
                MoveLeft();
                return false;
            }
            if (MoveDown())
            {
                MoveUp();
                return false;
            }
            return true;
        }
        protected override void MoveToTarget()
        {
            var objParams = GetObjectParameters;
            if (objParams == null)
            {
                return;
            }

            MoveRight();
            MoveDown(); 
        }
    }
}
